/*
 * Copyright (c) 1998, 2020 Oracle and/or its affiliates. All rights reserved.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0,
 * or the Eclipse Distribution License v. 1.0 which is available at
 * http://www.eclipse.org/org/documents/edl-v10.php.
 *
 * SPDX-License-Identifier: EPL-2.0 OR BSD-3-Clause
 */

// Contributors:
//     Denise Smith - 2.3
package org.eclipse.persistence.testing.jaxb.xmlattribute.emptynamespace;

import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlRootElement;
import jakarta.xml.bind.annotation.XmlType;

@XmlType(namespace="theNamespace")
@XmlRootElement(name="root", namespace="theNamespace")
public class EmptyNamespaceTestObject {

    @XmlAttribute(namespace="")
    public String theTestString;

    @XmlElement(namespace="")
    public String theElementTestString;

    public boolean equals(Object obj){
        if(obj instanceof EmptyNamespaceTestObject){
            return theTestString.equals(((EmptyNamespaceTestObject)obj).theTestString) && theElementTestString.equals(((EmptyNamespaceTestObject)obj).theElementTestString);
        }
        return false;
    }
}
